% ----------------------
% runme.m
% ----------------------
% 'Blanchard_demo': Chapter 4.3
% March 3, 2014 Philip Schuster
% 
% computes the transition of a shock
% in a Blanchard model (open economy)
% with demographic shocks
% ----------------------

clear all;  % clear all variables
clc;        % clear screen

fprintf('BLANCHARD MODEL OF OPEN ECONOMY - TRANSITIONAL DYNAMICS\n\n');

% DATA AND CALIBRATION
global tend findrootmethod

findrootmethod = 1; % use simple Newton-Raphson method (=1)
tend    = 500; % number of periods

param; % loads exogenous parameters
calib; % calibrates the model

% COMPUTE JACOBIAN FOR DYNAMIC SOLUTION
jacob = compjacob(guess);

% COMPUTE INITIAL STEADY STATE
ISS;

% REFORMS

% - role of capital adjustment costs -
%psi = 0.1;
%K(t) = 0.8*K0;

% - aging -
%reforms;
NB = NB*1.1;
%oldaveage       = gam0/(1-gam0);
%gam             = ones(1,tend)*(oldaveage+5)/(oldaveage+5+1);

% COMPUTE FINAL STEADY STATE
FSS;

% SOLVE FOR TRANSITIONS
[actual, retcode] = gft(guess,jacob);   % Generalized Fair-Taylor
%[actual, retcode] = ft(guess);         % Original Fair-Taylor
